data:extend
(
{
 {
  type = "recipe",
  name = "advanced-oil-processing-r",
  category = "oil-processing",
  enabled = false,
  energy_required = 5,
  ingredients =
  {
   {type="fluid", name="crude-oil", amount=10},
   {type="fluid", name="water", amount=5}
  },
  results=
  {
   {type="fluid", name="petroleum-gas", amount=5.5},
   {type="fluid", name="light-oil", amount=4.5},
   {type="fluid", name="heavy-oil", amount=1}
  },
  icon = "__base__/graphics/icons/fluid/advanced-oil-processing.png",
  subgroup = "fluid-recipes",
  order = "a[oil-processing]-c[advanced-oil-processing-r]"
 },
 {
  type = "recipe",
  name = "heavy-oil-cracking-r",
  category = "chemistry",
  enabled = false,
  energy_required = 5,
  ingredients =
  {
   {type="fluid", name="heavy-oil", amount=4},
   {type="fluid", name="water", amount=3},
  },
  results=
  {
   {type="fluid", name="light-oil", amount=3}
  },
  main_product= "",
  icon = "__base__/graphics/icons/fluid/heavy-oil-cracking.png",
  subgroup = "fluid-recipes",
  order = "b[fluid-chemistry]-a[heavy-oil-cracking-r]"
 },
 {
  type = "recipe",
  name = "light-oil-cracking-r",
  category = "chemistry",
  enabled = false,
  energy_required = 5,
  ingredients =
  {
   {type="fluid", name="light-oil", amount=3},
   {type="fluid", name="water", amount=3}
  },
  results=
  {
   {type="fluid", name="petroleum-gas", amount=2}
  },
  main_product= "",
  icon = "__base__/graphics/icons/fluid/light-oil-cracking.png",
  subgroup = "fluid-recipes",
  order = "b[fluid-chemistry]-b[light-oil-cracking-r]"
 },
 {
  type = "recipe",
  name = "sulfur-r",
  category = "chemistry",
  energy_required = 1,
  enabled = false,
  ingredients =
  {
   {type="fluid", name="petroleum-gas", amount=3},
   {type="fluid", name="water", amount=3}
  },
  results=
  {
   {type="item", name="sulfur", amount=2}
  }
 },
 {
  type = "recipe",
  name = "flame-thrower-ammo-r",
  category = "chemistry",
  enabled = false,
  energy_required = 3,
  ingredients =
  {
   {type="fluid", name="heavy-oil", amount=2.5},
   {type="item", name="iron-plate", amount=5},
   {type="fluid", name="light-oil", amount=2.5}
  },
  result = "flame-thrower-ammo"
 }
}
)

table.insert(data.raw.technology["advanced-oil-processing"].effects,{type = "unlock-recipe", recipe = "advanced-oil-processing-r"})
table.insert(data.raw.technology["advanced-oil-processing"].effects,{type = "unlock-recipe", recipe = "heavy-oil-cracking-r"})
table.insert(data.raw.technology["advanced-oil-processing"].effects,{type = "unlock-recipe", recipe = "light-oil-cracking-r"})
table.insert(data.raw.technology["sulfur-processing"].effects,{type = "unlock-recipe", recipe = "sulfur-r"})
table.insert(data.raw.technology["flame-thrower"].effects,{type = "unlock-recipe", recipe = "flame-thrower-ammo-r"})